diff --git a/src/apps/deskbar/BarApp.cpp b/src/apps/deskbar/BarApp.cpp
index 2647068..ffc1398 100644
--- a/src/apps/deskbar/BarApp.cpp
+++ b/src/apps/deskbar/BarApp.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -60,8 +61,6 @@ All rights reserved.
 #include "PublicCommands.h"
 #include "ResourceSet.h"
 #include "Switcher.h"
-#include "TeamMenu.h"
-#include "WindowMenuItem.h"
 
 
 BLocker TBarApp::sSubscriberLock;
@@ -72,8 +71,8 @@ BList TBarApp::sSubscribers;
 const uint32 kShowBeMenu = 'BeMn';
 const uint32 kShowTeamMenu = 'TmMn';
 
-const BRect kIconSize(0.0f, 0.0f, 15.0f, 15.0f);
 
+const BRect kIconRect(0.0f, 0.0f, 15.0f, 15.0f);
 static const color_space kIconFormat = B_RGBA32;
 
 
@@ -190,26 +189,19 @@ TBarApp::SaveSettings()
 		storedSettings.AddFloat("width", fSettings.width);
 		storedSettings.AddBool("showTime", fSettings.showTime);
 		storedSettings.AddPoint("switcherLoc", fSettings.switcherLoc);
-		storedSettings.AddInt32("recentAppsCount",
-			fSettings.recentAppsCount);
-		storedSettings.AddInt32("recentDocsCount",
-			fSettings.recentDocsCount);
-		storedSettings.AddBool("timeShowSeconds",
-			fSettings.timeShowSeconds);
+		storedSettings.AddInt32("recentAppsCount", fSettings.recentAppsCount);
+		storedSettings.AddInt32("recentDocsCount", fSettings.recentDocsCount);
+		storedSettings.AddBool("timeShowSeconds", fSettings.timeShowSeconds);
 		storedSettings.AddInt32("recentFoldersCount",
 			fSettings.recentFoldersCount);
 		storedSettings.AddBool("alwaysOnTop", fSettings.alwaysOnTop);
 		storedSettings.AddBool("timeFullDate", fSettings.timeFullDate);
 		storedSettings.AddBool("trackerAlwaysFirst",
 			fSettings.trackerAlwaysFirst);
-		storedSettings.AddBool("sortRunningApps",
-			fSettings.sortRunningApps);
-		storedSettings.AddBool("superExpando",
-			fSettings.superExpando);
-		storedSettings.AddBool("expandNewTeams",
-			fSettings.expandNewTeams);
-		storedSettings.AddBool("autoRaise",
-			fSettings.autoRaise);
+		storedSettings.AddBool("sortRunningApps", fSettings.sortRunningApps);
+		storedSettings.AddBool("superExpando", fSettings.superExpando);
+		storedSettings.AddBool("expandNewTeams", fSettings.expandNewTeams);
+		storedSettings.AddBool("autoRaise", fSettings.autoRaise);
 		storedSettings.AddBool("recentAppsEnabled",
 			fSettings.recentAppsEnabled);
 		storedSettings.AddBool("recentDocsEnabled",
@@ -291,12 +283,9 @@ TBarApp::InitSettings()
 				&settings.trackerAlwaysFirst);
 			storedSettings.FindBool("sortRunningApps",
 				&settings.sortRunningApps);
-			storedSettings.FindBool("superExpando",
-				&settings.superExpando);
-			storedSettings.FindBool("expandNewTeams",
-				&settings.expandNewTeams);
-			storedSettings.FindBool("autoRaise",
-				&settings.autoRaise);
+			storedSettings.FindBool("superExpando", &settings.superExpando);
+			storedSettings.FindBool("expandNewTeams", &settings.expandNewTeams);
+			storedSettings.FindBool("autoRaise", &settings.autoRaise);
 			storedSettings.FindBool("recentAppsEnabled",
 				&settings.recentAppsEnabled);
 			storedSettings.FindBool("recentDocsEnabled",
@@ -313,8 +302,6 @@ TBarApp::InitSettings()
 void
 TBarApp::MessageReceived(BMessage* message)
 {
-	int32 count;
-	bool enabled;
 	switch (message->what) {
 		case 'gloc':
 		case 'sloc':
@@ -353,6 +340,9 @@ TBarApp::MessageReceived(BMessage* message)
 			break;
 
 		case kUpdateRecentCounts:
+			int32 count;
+			bool enabled;
+
 			if (message->FindInt32("applications", &count) == B_OK)
 				fSettings.recentAppsCount = count;
 			if (message->FindBool("applicationsEnabled", &enabled) == B_OK)
@@ -413,44 +403,35 @@ TBarApp::MessageReceived(BMessage* message)
 			break;
 
 		case kAlwaysTop:
- 			fSettings.alwaysOnTop = !fSettings.alwaysOnTop;
+			fSettings.alwaysOnTop = !fSettings.alwaysOnTop;
 
- 			fBarWindow->SetFeel(fSettings.alwaysOnTop ?
- 				B_FLOATING_ALL_WINDOW_FEEL : B_NORMAL_WINDOW_FEEL);
- 			break;
+			fBarWindow->SetFeel(fSettings.alwaysOnTop ?
+				B_FLOATING_ALL_WINDOW_FEEL : B_NORMAL_WINDOW_FEEL);
+			break;
 
 		case kAutoRaise:
-		{
 			fSettings.autoRaise = !fSettings.autoRaise;
 
-			TBarView* barView = static_cast<TBarApp*>(be_app)->BarView();
 			fBarWindow->Lock();
-			barView->UpdateAutoRaise();
+			BarView()->UpdateAutoRaise();
 			fBarWindow->Unlock();
 			break;
-		}
 
 		case kTrackerFirst:
-		{
 			fSettings.trackerAlwaysFirst = !fSettings.trackerAlwaysFirst;
 
-			TBarView* barView = static_cast<TBarApp*>(be_app)->BarView();
 			fBarWindow->Lock();
-			barView->UpdatePlacement();
+			BarView()->UpdatePlacement();
 			fBarWindow->Unlock();
 			break;
-		}
 
 		case kSortRunningApps:
-		{
 			fSettings.sortRunningApps = !fSettings.sortRunningApps;
 
-			TBarView* barView = static_cast<TBarApp*>(be_app)->BarView();
 			fBarWindow->Lock();
-			barView->UpdatePlacement();
+			BarView()->UpdatePlacement();
 			fBarWindow->Unlock();
 			break;
-		}
 
 		case kUnsubscribe:
 		{
@@ -461,26 +442,20 @@ TBarApp::MessageReceived(BMessage* message)
 		}
 
 		case kSuperExpando:
-		{
 			fSettings.superExpando = !fSettings.superExpando;
 
-			TBarView* barView = static_cast<TBarApp*>(be_app)->BarView();
 			fBarWindow->Lock();
-			barView->UpdatePlacement();
+			BarView()->UpdatePlacement();
 			fBarWindow->Unlock();
 			break;
-		}
 
 		case kExpandNewTeams:
-		{
 			fSettings.expandNewTeams = !fSettings.expandNewTeams;
 
-			TBarView* barView = static_cast<TBarApp*>(be_app)->BarView();
 			fBarWindow->Lock();
-			barView->UpdatePlacement();
+			BarView()->UpdatePlacement();
 			fBarWindow->Unlock();
 			break;
-		}
 
 		case 'TASK':
 			fSwitcherMessenger.SendMessage(message);
@@ -636,7 +611,7 @@ TBarApp::AddTeam(team_id team, uint32 flags, const char* sig, entry_ref* ref)
 	BAppFileInfo appMime(&file);
 
 	BarTeamInfo* barInfo = new BarTeamInfo(new BList(), flags, strdup(sig),
-		new BBitmap(kIconSize, kIconFormat), strdup(ref->name));
+		new BBitmap(kIconRect, kIconFormat), strdup(ref->name));
 
 	barInfo->teams->AddItem((void*)team);
 	if (appMime.GetIcon(barInfo->icon, B_MINI_ICON) != B_OK)
@@ -682,7 +657,7 @@ TBarApp::RemoveTeam(team_id team)
 			int32 subsCount = sSubscribers.CountItems();
 			if (subsCount > 0) {
 				BMessage message((barInfo->teams->CountItems() == 1) ?
-					 B_SOME_APP_QUIT : kRemoveTeam);
+					B_SOME_APP_QUIT : kRemoveTeam);
 
 				message.AddInt32("team", team);
 				for (int32 i = 0; i < subsCount; i++) {
@@ -706,7 +681,7 @@ TBarApp::ShowPreferencesWindow()
 {
 	if (fPreferencesWindow)
 		fPreferencesWindow->Activate();
- 	else {
+	else {
 		fPreferencesWindow = new PreferencesWindow(BRect(0, 0, 320, 240));
 		fPreferencesWindow->Show();
 	}
diff --git a/src/apps/deskbar/BarMenuBar.cpp b/src/apps/deskbar/BarMenuBar.cpp
index b246eb3..333e06a 100644
--- a/src/apps/deskbar/BarMenuBar.cpp
+++ b/src/apps/deskbar/BarMenuBar.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -78,7 +79,7 @@ TBarMenuBar::SmartResize(float width, float height)
 		BRect frame = Frame();
 		width = frame.Width();
 		height = frame.Height();
-	} else 
+	} else
 		ResizeTo(width, height);
 
 	width -= 1;
@@ -96,7 +97,7 @@ TBarMenuBar::SmartResize(float width, float height)
 void
 TBarMenuBar::AddTeamMenu()
 {
-	if (CountItems() > 1) 
+	if (CountItems() > 1)
 		return;
 
 	BRect frame(Frame());
@@ -112,7 +113,7 @@ TBarMenuBar::AddTeamMenu()
 void
 TBarMenuBar::RemoveTeamMenu()
 {
-	if (CountItems() < 2) 
+	if (CountItems() < 2)
 		return;
 
 	if (fAppListMenuItem) {
@@ -121,7 +122,7 @@ TBarMenuBar::RemoveTeamMenu()
 		fAppListMenuItem = NULL;
 	}
 
-	BRect frame = Frame();	
+	BRect frame = Frame();
 	SmartResize(frame.Width(), frame.Height());
 }
 
@@ -179,9 +180,10 @@ init_tracking_hook(BMenuItem* item, bool (*hookFunction)(BMenu*, void*),
 		return;
 
 	BMenu* windowMenu = item->Submenu();
-	if (windowMenu) 
-		//	have a menu, set the tracking hook
-		windowMenu->SetTrackingHook(hookFunction, state);					
+	if (windowMenu) {
+		// have a menu, set the tracking hook
+		windowMenu->SetTrackingHook(hookFunction, state);
+	}
 }
 
 
@@ -192,13 +194,13 @@ TBarMenuBar::InitTrackingHook(bool (*hookFunction)(BMenu*, void*),
 	BPoint loc;
 	uint32 buttons;
 	GetMouse(&loc, &buttons);
-	//	set the hook functions for the two menus
-	//	will always have the be menu
-	//	may have the app menu as well (mini mode)
-	if (fBeMenuItem->Frame().Contains(loc) || both) 
+	// set the hook functions for the two menus
+	// will always have the be menu
+	// may have the app menu as well (mini mode)
+	if (fBeMenuItem->Frame().Contains(loc) || both)
 		init_tracking_hook(fBeMenuItem, hookFunction, state);
 
-	if (fAppListMenuItem && (fAppListMenuItem->Frame().Contains(loc) || both)) 
+	if (fAppListMenuItem && (fAppListMenuItem->Frame().Contains(loc) || both))
 		init_tracking_hook(fAppListMenuItem, hookFunction, state);
 }
 
diff --git a/src/apps/deskbar/BarMenuBar.h b/src/apps/deskbar/BarMenuBar.h
index ef21df1..f748882 100644
--- a/src/apps/deskbar/BarMenuBar.h
+++ b/src/apps/deskbar/BarMenuBar.h
@@ -26,15 +26,16 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
-//	Be Menu, used in vertical mode, expanded and mini
-//		in mini mode will have team menu next to Be menu
-//		Be menu in horizontal mode is embedded in ExpandoMenuBar
+// Be Menu, used in vertical mode, expanded and mini
+//   - in mini mode will have team menu next to Be menu
+//   - Be menu in horizontal mode is embedded in ExpandoMenuBar
 
 #ifndef BARMENUBAR_H
 #define BARMENUBAR_H
@@ -63,7 +64,7 @@ class TBarMenuBar : public BMenuBar {
 
 		void InitTrackingHook(bool (* hookfunction)(BMenu*, void*), void* state,
 			bool both = false);
-	
+
 	private:
 		TBarView* fBarView;
 		TBarMenuTitle* fBeMenuItem;
diff --git a/src/apps/deskbar/BarMenuTitle.cpp b/src/apps/deskbar/BarMenuTitle.cpp
index df8b0d2..84c2d91 100644
--- a/src/apps/deskbar/BarMenuTitle.cpp
+++ b/src/apps/deskbar/BarMenuTitle.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -116,14 +117,14 @@ TBarMenuTitle::DrawContent()
 
 	if (be_control_look != NULL) {
 		menu->SetDrawingMode(B_OP_ALPHA);
-	
+
 		if (fIcon != NULL) {
 			BRect dstRect(fIcon->Bounds());
 			dstRect.OffsetTo(frame.LeftTop());
 			dstRect.OffsetBy(rintf(((frame.Width() - dstRect.Width()) / 2)
 				- 1.0f), rintf(((frame.Height() - dstRect.Height()) / 2)
 				- 0.0f));
-	
+
 			menu->DrawBitmapAsync(fIcon, dstRect);
 		}
 		return;
@@ -200,11 +201,11 @@ TBarMenuTitle::Invoke(BMessage* message)
 		BLooper* looper = barview->Looper();
 		if (looper->Lock()) {
 			// tell barview to add the refs to the be menu
-			barview->HandleBeMenu(NULL);			
+			barview->HandleBeMenu(NULL);
 			looper->Unlock();
 		}
 	}
-		
+
 	return BMenuItem::Invoke(message);
 }
 
diff --git a/src/apps/deskbar/BarMenuTitle.h b/src/apps/deskbar/BarMenuTitle.h
index be7aa99..543cc51 100644
--- a/src/apps/deskbar/BarMenuTitle.h
+++ b/src/apps/deskbar/BarMenuTitle.h
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -46,15 +47,15 @@ class BMenu;
 
 class TBarMenuTitle : public BMenuItem {
 public:
- 	TBarMenuTitle(float width,float height, const BBitmap* icon,
- 		BMenu* menu, bool inexpando = false);
+	TBarMenuTitle(float width, float height, const BBitmap* icon,
+		BMenu* menu, bool inexpando = false);
 	virtual ~TBarMenuTitle();
 
 	void SetWidthHeight(float width, float height);
 	void Draw();
 
 	status_t Invoke(BMessage* message);
-		
+
 protected:
 	void DrawContent();
 	void GetContentSize(float* width, float* height);
@@ -63,7 +64,7 @@ private:
 	float fWidth;
 	float fHeight;
 	bool fInExpando;
-	const BBitmap* fIcon;	
+	const BBitmap* fIcon;
 };
 
 #endif /* BARMENUTITLE_H */
diff --git a/src/apps/deskbar/BarView.cpp b/src/apps/deskbar/BarView.cpp
index 53dfeec..cac3472 100644
--- a/src/apps/deskbar/BarView.cpp
+++ b/src/apps/deskbar/BarView.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -135,9 +136,9 @@ TBarView::Draw(BRect)
 	rgb_color light = tint_color(ViewColor(), B_LIGHTEN_2_TINT);
 
 	SetHighColor(hilite);
-	if (AcrossTop()) 
+	if (AcrossTop())
 		StrokeLine(bounds.LeftBottom(), bounds.RightBottom());
-	else if (AcrossBottom()) 
+	else if (AcrossBottom())
 		StrokeLine(bounds.LeftTop(), bounds.RightTop());
 
 	if (Vertical() && Expando()) {
@@ -166,7 +167,7 @@ TBarView::MessageReceived(BMessage* message)
 			// so that I can follow the common pathway
 			// for adding icons to the tray
 			int32 id;
-			AddItem(new BMessage(*message), B_DESKBAR_TRAY, &id); 
+			AddItem(new BMessage(*message), B_DESKBAR_TRAY, &id);
 			break;
 		}
 
@@ -206,9 +207,9 @@ TBarView::PlaceBeMenu()
 		fBarMenuBar = NULL;
 	}
 
-	//	top or bottom expando mode has Be menu built in for tracking
-	//	only for vertical mini or expanded
-	//	mini mode will have team menu added as part of BarMenuBar
+	// top or bottom expando mode has Be menu built in for tracking
+	// only for vertical mini or expanded
+	// mini mode will have team menu added as part of BarMenuBar
 	if (fVertical && !fBarMenuBar) {
 		//	create the Be menu
 		BRect mbarFrame(Bounds());
@@ -217,11 +218,11 @@ TBarView::PlaceBeMenu()
 		AddChild(fBarMenuBar);
 	}
 
-	//	if there isn't a bemenu at this point,
-	//	DB should be in top/bottom mode, else error
+	// if there isn't a bemenu at this point,
+	// DB should be in top/bottom mode, else error
 	if (!fBarMenuBar)
 		return;
-		
+
 	float width = sMinimumWindowWidth;
 	BPoint loc(B_ORIGIN);
 	BRect menuFrame(fBarMenuBar->Frame());
@@ -237,9 +238,10 @@ TBarView::PlaceBeMenu()
 		else
 			width = floorf(width) / 2;
 		loc = Bounds().LeftTop();
-	} else 
+	} else {
 		// mini mode, BeMenu next to team menu
 		fBarMenuBar->AddTeamMenu();
+	}
 
 	fBarMenuBar->SmartResize(width, menuFrame.Height());
 	fBarMenuBar->MoveTo(loc);
@@ -257,13 +259,13 @@ TBarView::PlaceTray(bool, bool, BRect screenFrame)
 		fDragRegion->MoveTo(statusLoc);
 
 		if (!fReplicantTray->IsHidden())
-			fReplicantTray->Hide();	
+			fReplicantTray->Hide();
 
 		return;
 	}
 
 	if (fReplicantTray->IsHidden())
-		fReplicantTray->Show();	
+		fReplicantTray->Show();
 
 	if (fTrayLocation != 0) {
 		fReplicantTray->SetMultiRow(fVertical);
@@ -347,7 +349,7 @@ TBarView::GetPreferredWindowSize(BRect screenFrame, float* width, float* height)
 		}
 	} else {
 		// four corners
-		if (fTrayLocation != 0)		
+		if (fTrayLocation != 0)
 			windowHeight = fDragRegion->Frame().bottom;
 		else
 			windowHeight = fBarMenuBar->Frame().bottom;
@@ -404,10 +406,10 @@ TBarView::SaveSettings()
 	settings->state = (uint32)State();
 	settings->width = 0;
 	settings->showTime = ShowingClock();
-	
+
 	fReplicantTray->RememberClockSettings();
-	settings->alwaysOnTop = (Window()->Feel() & B_FLOATING_ALL_WINDOW_FEEL)
-		!= 0;
+	settings->alwaysOnTop
+		= (Window()->Feel() & B_FLOATING_ALL_WINDOW_FEEL) != 0;
 }
 
 
@@ -424,7 +426,7 @@ TBarView::UpdateAutoRaise()
 void
 TBarView::UpdatePlacement()
 {
-	ChangeState(fState, fVertical, fLeft, fTop);	
+	ChangeState(fState, fVertical, fLeft, fTop);
 }
 
 
@@ -455,7 +457,7 @@ TBarView::ChangeState(int32 state, bool vertical, bool left, bool top)
 	BString* signature = NULL;
 	if (fVertical && Expando()
 		&& static_cast<TBarApp*>(be_app)->Settings()->superExpando) {
-		// Get a list of the signatures of expanded apps. Can't use 
+		// Get a list of the signatures of expanded apps. Can't use
 		// team_id because there can be more than one team per application
 		if (fVertical && Expando() && vertical && fExpando) {
 			for (int index = 0; index < fExpando->CountItems(); index++) {
@@ -469,10 +471,10 @@ TBarView::ChangeState(int32 state, bool vertical, bool left, bool top)
 		}
 	}
 
- 	PlaceApplicationBar(screenFrame);
- 	SizeWindow(screenFrame);
- 	PositionWindow(screenFrame);
- 	Window()->UpdateIfNeeded();
+	PlaceApplicationBar(screenFrame);
+	SizeWindow(screenFrame);
+	PositionWindow(screenFrame);
+	Window()->UpdateIfNeeded();
 
 	// Re-expand those apps.
 	if (expandedItems.CountItems() > 0) {
@@ -505,7 +507,7 @@ TBarView::ChangeState(int32 state, bool vertical, bool left, bool top)
 }
 
 
-//	window placement functions
+// window placement functions
 
 bool
 TBarView::Vertical() const
@@ -558,7 +560,7 @@ TBarView::State() const
 
 // optional functionality functions
 
-bool 
+bool
 TBarView::MilTime() const
 {
 	return fShowInterval;
@@ -586,7 +588,7 @@ void
 TBarView::CacheDragData(const BMessage* incoming)
 {
 	if (!incoming)
-		return;	
+		return;
 
 	if (Dragging() && SpringLoadedFolderCompareMessages(incoming, fDragMessage))
 		return;
@@ -614,7 +616,7 @@ init_tracking_hook(BMenuItem* item,
 
 status_t
 TBarView::DragStart()
-{	
+{
 	if (!Dragging())
 		return B_OK;
 
@@ -624,7 +626,7 @@ TBarView::DragStart()
 
 	if (fExpando && fExpando->Frame().Contains(loc)) {
 		ConvertToScreen(&loc);
-		BPoint expandoLocation = fExpando->ConvertFromScreen(loc);		
+		BPoint expandoLocation = fExpando->ConvertFromScreen(loc);
 		TTeamMenuItem* item = fExpando->TeamItemAtPoint(expandoLocation);
 
 		if (fLastDragItem)
@@ -634,8 +636,8 @@ TBarView::DragStart()
 			if (item == fLastDragItem)
 				return B_OK;
 
-			fLastDragItem = item;		
-		}					
+			fLastDragItem = item;
+		}
 	}
 
 	return B_OK;
@@ -676,7 +678,7 @@ TBarView::MenuTrackingHook(BMenu* menu, void* castToThis)
 
 			if (bemenu && bemenu->LockLooper()) {
 				bemenu->ConvertFromScreen(&location);
-				if (bemenu->Frame().Contains(location)) 
+				if (bemenu->Frame().Contains(location))
 					endMenu = false;
 
 				bemenu->UnlockLooper();
@@ -685,7 +687,7 @@ TBarView::MenuTrackingHook(BMenu* menu, void* castToThis)
 			if (endMenu && expando) {
 				expando->ConvertFromScreen(&location);
 				BMenuItem* item = expando->TeamItemAtPoint(location);
-				if (item) 
+				if (item)
 					endMenu = false;
 			}
 			barview->UnlockLooper();
@@ -757,7 +759,7 @@ TBarView::AppCanHandleTypes(const char* signature)
 	if (appmime.GetAppHint(&hintref) != B_OK)
 		return false;
 
-	// an app was found, now see if it supports any of 
+	// an app was found, now see if it supports any of
 	// the refs in the message
 	BFile file(&hintref, O_RDONLY);
 	BAppFileInfo fileinfo(&file);
@@ -768,7 +770,7 @@ TBarView::AppCanHandleTypes(const char* signature)
 
 	int32 count = fCachedTypesList->CountItems();
 	for (int32 i = 0 ; i < count ; i++) {
-		if (fileinfo.IsSupportedType(fCachedTypesList->ItemAt(i)->String())) 
+		if (fileinfo.IsSupportedType(fCachedTypesList->ItemAt(i)->String()))
 			return true;
 	}
 
@@ -910,9 +912,9 @@ TBarView::ItemExists(const char* name, DeskbarShelf)
 
 int32
 TBarView::CountItems(DeskbarShelf)
-{	
-	return fReplicantTray->IconCount();	
-}	
+{
+	return fReplicantTray->IconCount();
+}
 
 
 status_t
diff --git a/src/apps/deskbar/BarView.h b/src/apps/deskbar/BarView.h
index a481445..8f4e5b8 100644
--- a/src/apps/deskbar/BarView.h
+++ b/src/apps/deskbar/BarView.h
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -98,7 +99,7 @@ class TBarView : public BView {
 		void CacheDragData(const BMessage* incoming);
 		status_t DragStart();
 		static bool MenuTrackingHook(BMenu* menu, void* castToThis);
-		void DragStop(bool full=false);
+		void DragStop(bool full = false);
 		TrackingHookData* GetTrackingHookData();
 		bool Dragging() const;
 		const BMessage* DragMessage() const;
diff --git a/src/apps/deskbar/BarWindow.cpp b/src/apps/deskbar/BarWindow.cpp
index 26b02b7..7702e84 100644
--- a/src/apps/deskbar/BarWindow.cpp
+++ b/src/apps/deskbar/BarWindow.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -58,8 +59,8 @@ All rights reserved.
 #include <MessagePrivate.h>
 
 
-// This is a very ugly hack to be able to call the private BMenuBar::StartMenuBar()
-// method from the TBarWindow::ShowBeMenu() method.
+// This is a very ugly hack to be able to call the private
+// BMenuBar::StartMenuBar() method from the TBarWindow::ShowBeMenu() method.
 // Don't do this at home -- but why the hell is this method private?
 #if __MWERKS__
 	#define BMenuBar_StartMenuBar_Hack StartMenuBar__8BMenuBarFlbbP5BRect
@@ -70,7 +71,8 @@ All rights reserved.
 #else
 #	error "You may want to port this ugly hack to your compiler ABI"
 #endif
-extern "C" void BMenuBar_StartMenuBar_Hack(BMenuBar*,int32,bool,bool,BRect*);
+extern "C" void
+	BMenuBar_StartMenuBar_Hack(BMenuBar*, int32, bool, bool, BRect*);
 
 
 TBeMenu* TBarWindow::sBeMenu = NULL;
@@ -312,7 +314,7 @@ TBarWindow::ShowBeMenu()
 	if (menuBar == NULL)
 		return;
 
-	BMenuBar_StartMenuBar_Hack(menuBar,0,true,true,NULL);
+	BMenuBar_StartMenuBar_Hack(menuBar, 0, true, true, NULL);
 }
 
 
@@ -326,11 +328,11 @@ TBarWindow::ShowTeamMenu()
 	if (KeyMenuBar() == NULL)
 		return;
 
-	BMenuBar_StartMenuBar_Hack(KeyMenuBar(),index,true,true,NULL);
+	BMenuBar_StartMenuBar_Hack(KeyMenuBar(), index, true, true, NULL);
 }
 
 
-/**	determines the actual location of the window */
+// determines the actual location of the window
 
 deskbar_location
 TBarWindow::DeskbarLocation() const
@@ -552,7 +554,6 @@ TBarWindow::AddItem(BMessage* message)
 		if (err < B_OK)
 			delete archive;
 	} else if (message->FindRef("addon", &ref) == B_OK) {
-		//
 		//	exposing the name of the view here is not so great
 		TReplicantTray* tray
 			= dynamic_cast<TReplicantTray*>(FindView("Status"));
@@ -579,8 +580,8 @@ TBarWindow::RemoveItem(BMessage* message)
 	int32 id;
 	const char* name;
 
-	// 	ids ought to be unique across all shelves, assuming, of course,
-	//	that sometime in the future there may be more than one
+	// ids ought to be unique across all shelves, assuming, of course,
+	// that sometime in the future there may be more than one
 #if SHELF_AWARE
 	if (message->FindInt32("shelf", (int32*)&shelf) == B_OK) {
 		if (message->FindString("name", &name) == B_OK)
@@ -589,8 +590,8 @@ TBarWindow::RemoveItem(BMessage* message)
 #endif
 		if (message->FindInt32("id", &id) == B_OK) {
 			fBarView->RemoveItem(id);
-		//	remove the following two lines if and when the
-		//	shelf option returns
+		// remove the following two lines if and when the
+		// shelf option returns
 		} else if (message->FindString("name", &name) == B_OK)
 			fBarView->RemoveItem(name, B_DESKBAR_TRAY);
 
@@ -632,3 +633,4 @@ TBarWindow::_IsFocusMessage(BMessage* message)
 
 	return true;
 }
+
diff --git a/src/apps/deskbar/BarWindow.h b/src/apps/deskbar/BarWindow.h
index ac27410..73568f1 100644
--- a/src/apps/deskbar/BarWindow.h
+++ b/src/apps/deskbar/BarWindow.h
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 #ifndef BAR_WINDOW_H
diff --git a/src/apps/deskbar/BeMenu.cpp b/src/apps/deskbar/BeMenu.cpp
index 7f22518..005fb07 100644
--- a/src/apps/deskbar/BeMenu.cpp
+++ b/src/apps/deskbar/BeMenu.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -476,9 +477,7 @@ TRecentsMenu::~TRecentsMenu()
 void
 TRecentsMenu::DetachedFromWindow()
 {
-	//
-	//	BNavMenu::DetachedFromWindow sets the TypesList to NULL
-	//
+	// BNavMenu::DetachedFromWindow sets the TypesList to NULL
 	BMenu::DetachedFromWindow();
 }
 
